﻿using DressAtelierDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierContracts.BindingModels
{
    public class DressBindingModel : IDressModel
    {
        public int ID { get; set; }
        public string DressName { get; set; } = string.Empty;

        public double Price { get; set; }

        public Dictionary<int, (IMaterialModel, int)> DressComponents { get; set; } = new();

    }
}
