﻿using DressAtelierDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierContracts.ViewModels
{
    public class DressViewModel : IDressModel
    {
        [DisplayName("Name of dress")]
        public string DressName { get; set; } = string.Empty;

        [DisplayName("Cost")]
        public double Price { get; set; }

        public Dictionary<int, (IMaterialModel, int)> DressComponents { get; set; } = new();

        public int ID { get; set; }
    }
}
